This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1007697 - [abrt] libreoffice-core-4.1.1.2-3.fc19: Window::GetWindow: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-4.1.1.2-3.fc19: Window::GetWindow: Process /usr/lib64...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:74c30f3e005c52e1f1f144d3e4b...
: Reopened
: 1027415 1071597 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-13 03:10 EDT by Milan Bouchet-Valat
Modified: 2014-05-09 04:10 EDT (History)
17 users (show)

See Also:
Fixed In Version: libreoffice-4.1.5.3-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-09 04:10:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (51.44 KB, text/plain)
2013-09-13 03:10 EDT, Milan Bouchet-Valat
no flags Details
File: cgroup (140 bytes, text/plain)
2013-09-13 03:10 EDT, Milan Bouchet-Valat
no flags Details
File: core_backtrace (22.46 KB, text/plain)
2013-09-13 03:10 EDT, Milan Bouchet-Valat
no flags Details
File: dso_list (25.16 KB, text/plain)
2013-09-13 03:10 EDT, Milan Bouchet-Valat
no flags Details
File: environ (2.06 KB, text/plain)
2013-09-13 03:11 EDT, Milan Bouchet-Valat
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-13 03:11 EDT, Milan Bouchet-Valat
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-13 03:11 EDT, Milan Bouchet-Valat
no flags Details
File: maps (120.07 KB, text/plain)
2013-09-13 03:11 EDT, Milan Bouchet-Valat
no flags Details
File: open_fds (551 bytes, text/plain)
2013-09-13 03:11 EDT, Milan Bouchet-Valat
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2013-09-13 03:11 EDT, Milan Bouchet-Valat
no flags Details
File: var_log_messages (338 bytes, text/plain)
2013-09-13 03:11 EDT, Milan Bouchet-Valat
no flags Details
Reproducer (37.80 KB, application/vnd.oasis.opendocument.text)
2013-10-13 17:13 EDT, Michal Nowak
no flags Details

  None (edit)
Description Milan Bouchet-Valat 2013-09-13 03:10:40 EDT
Version-Release number of selected component:
libreoffice-core-4.1.1.2-3.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer --splash-pipe=5
crash_function: Window::GetWindow
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.10.10-200.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 Window::GetWindow at /usr/src/debug/libreoffice-4.1.1.2/vcl/source/window/window.cxx:8049
 #1 PaintTransparentChildren at /usr/src/debug/libreoffice-4.1.1.2/svx/source/svdraw/sdrpaintwindow.cxx:48
 #2 sdr::overlay::OverlayManagerBuffered::ImpBufferTimerHandler at /usr/src/debug/libreoffice-4.1.1.2/svx/source/sdr/overlay/overlaymanagerbuffered.cxx:358
 #3 Timer::ImplTimerCallbackProc at /usr/src/debug/libreoffice-4.1.1.2/vcl/source/app/timer.cxx:133
 #4 CallCallback at /usr/src/debug/libreoffice-4.1.1.2/vcl/inc/saltimer.hxx:53
 #5 sal_gtk_timeout_dispatch at /usr/src/debug/libreoffice-4.1.1.2/vcl/unx/gtk/app/gtkdata.cxx:832
 #9 g_main_context_iteration at gmain.c:3762
 #10 GtkData::Yield at /usr/src/debug/libreoffice-4.1.1.2/vcl/unx/gtk/app/gtkdata.cxx:572
 #11 ImplYield at /usr/src/debug/libreoffice-4.1.1.2/vcl/source/app/svapp.cxx:422
 #12 Application::Yield at /usr/src/debug/libreoffice-4.1.1.2/vcl/source/app/svapp.cxx:456
Comment 1 Milan Bouchet-Valat 2013-09-13 03:10:45 EDT
Created attachment 797163 [details]
File: backtrace
Comment 2 Milan Bouchet-Valat 2013-09-13 03:10:49 EDT
Created attachment 797164 [details]
File: cgroup
Comment 3 Milan Bouchet-Valat 2013-09-13 03:10:53 EDT
Created attachment 797165 [details]
File: core_backtrace
Comment 4 Milan Bouchet-Valat 2013-09-13 03:10:58 EDT
Created attachment 797166 [details]
File: dso_list
Comment 5 Milan Bouchet-Valat 2013-09-13 03:11:03 EDT
Created attachment 797167 [details]
File: environ
Comment 6 Milan Bouchet-Valat 2013-09-13 03:11:07 EDT
Created attachment 797168 [details]
File: exploitable
Comment 7 Milan Bouchet-Valat 2013-09-13 03:11:10 EDT
Created attachment 797169 [details]
File: limits
Comment 8 Milan Bouchet-Valat 2013-09-13 03:11:15 EDT
Created attachment 797170 [details]
File: maps
Comment 9 Milan Bouchet-Valat 2013-09-13 03:11:18 EDT
Created attachment 797171 [details]
File: open_fds
Comment 10 Milan Bouchet-Valat 2013-09-13 03:11:22 EDT
Created attachment 797172 [details]
File: proc_pid_status
Comment 11 Milan Bouchet-Valat 2013-09-13 03:11:26 EDT
Created attachment 797173 [details]
File: var_log_messages
Comment 12 Caolan McNamara 2013-09-13 07:38:35 EDT
Do you know how to reproduce this ?
Comment 13 Milan Bouchet-Valat 2013-09-13 07:59:58 EDT
Not really. I think it happened twice, while viewing two documents with many SVGs. But ATM I'm not able to trigger it again. I can send you the documents privately if you want to try...
Comment 14 Milan Bouchet-Valat 2013-09-13 12:35:27 EDT
Seen in twice in a row again, but I cannot reproduce it when I try to...
Comment 15 nanority 2013-09-26 07:56:25 EDT
I see this error also. I can reproduce it by inserting large TIFF files (15mb) into a .doc file.
Comment 16 Caolan McNamara 2013-10-01 08:21:06 EDT
That's encouraging, can I get a link to an example large TIFF which triggers this ?
Comment 17 Caolan McNamara 2013-10-08 08:41:18 EDT
Tried various combinations of tiffs and overlapping tiffs without success :-(
Comment 18 Michal Nowak 2013-10-13 17:13:39 EDT
Created attachment 811808 [details]
Reproducer

Coalan, here comes the reproducer. Reopen, please.

1) Open in Writer, select "Singer’s Utilitarianism" from H1 on first line and copy to clipboard. Move to line starting with "Singer, and Regan...", it's H2. Select the whole heading (I do that by Shift-End if that matters) and paste by Ctrl-V.

2) It does for me a strange thing -- it enters a page break so the former H2 is now H1 "Singer’s Utilitarianism" and starts second page. Press Ctrl-Z (undo).

3) Crash.

Let me know if that works for you. It looks like ABRT is able to create a backtrace but is unable to post it here IMHO because of the CLOSED state.
Comment 19 Michal Nowak 2013-10-26 12:52:03 EDT
Is it reproducible what's in comment 18? Can someone reopen this bug, please?
Comment 20 Milan Bouchet-Valat 2013-10-26 13:07:49 EDT
Fantastic! ;-) With your instructions I can reproduce the crash.

It does not happen immediately, though, there is a 1 second lag. I think this is related to the redraw that the removal of the page break creates. (In my case, the redraw happens because of scrolling in a long document with many images.)

And the good new is, I can also reopen the bug...
Comment 21 Caolan McNamara 2013-10-29 10:56:33 EDT
Grr, I can reproduce on little unsuitable-for-debugging 32bit laptop, but not on 64bit setup-perfectly-for-debugging desktop.
Comment 22 Eike Rathke 2013-10-29 11:28:18 EDT
"1 second lag" plus reproducible on 32bit but not 64bit sounds like memory exhaustion.
Comment 23 Michal Nowak 2013-10-29 13:47:14 EDT
Right, there's a 1 s lag. I can reproduce that on x86_64.
Comment 24 Milan Bouchet-Valat 2013-11-04 09:44:46 EST
I get the bug on 64-bit too, and not exactly a slow machine (2.40GHz i5). Yours must be really too fast! Maybe try to run in in Valgrind to make it slower... ;-)
Comment 25 Caolan McNamara 2013-11-07 06:27:22 EST
*** Bug 1027415 has been marked as a duplicate of this bug. ***
Comment 26 Valerio De Angelis 2013-11-07 06:41:12 EST
In my case there are no images at all. Just text (like in a book).
When I select a portion of text and move it in another position inside the page, the writer crash producing that bug data. It's so reproducible that I cannot continue to work because of it.

When I came back to home, I will try to make a file that reproduce the problem without add here the original file (I can't do it) and add it here.
Comment 27 Valerio De Angelis 2013-11-07 16:52:35 EST
At the moment that problem does not appear anymore, even on the original file.
Comment 28 Valerio De Angelis 2013-11-08 20:08:48 EST
(In reply to Valerio De Angelis from comment #27)
> At the moment that problem does not appear anymore, even on the original
> file.
Countermand: the problem is still there. It appears when I move or copy/paste large portion of text.
Comment 29 David Gilmore 2013-11-11 23:41:04 EST
All i know is that i was editing a document and poof. I believe i was cutting/pasting.
Other programs that were open are Dolphin and FireFox. also i seem to have a different set of icons in LibreOffice, and earlier when i was changing the font type it was acting buggy, also in Calc i lost all my formated coloring and the answer to all the calculations were missing. Today is the first time i have used LibreOffice sence an update the other day.
oh, the data in the document has definisions from KDictionary widget off the task bar.

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer /home/david/Documents/emotional_control_1_32.odt --splash-pipe=5
crash_function: Window::GetWindow
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.11.7-200.fc19.x86_64
package:        libreoffice-core-4.1.3.2-4.fc19
reason:         Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 30 Alex 2013-11-17 10:28:45 EST
Today this crash happened to me twice in a row, in about 20 minutes.
I am operating on Fedora 19 (KDE) since 2 days, and several other programs running, scattered on 3 desktops out of 4, that is: 2 instances of Dolphin; Thunderbird; Evince (just 1 file open); Firefox (9 tabs open).
Libre Office had 2 ODT-files open; the one I was working on was very rich in comments, and I was streamlining it by cutting and pasting more or less large portions of text inside it.
Unfortunately, I have no guess as how to reproduce it.
Comment 31 Alex 2013-11-17 10:44:49 EST
(In reply to Alex from comment #30)
> Today this crash happened to me twice in a row, in about 20 minutes.
> I am operating on Fedora 19 (KDE) since 2 days, and several other programs
> running, scattered on 3 desktops out of 4, that is: 2 instances of Dolphin;
> Thunderbird; Evince (just 1 file open); Firefox (9 tabs open).
> Libre Office had 2 ODT-files open; the one I was working on was very rich in
> comments, and I was streamlining it by cutting and pasting more or less
> large portions of text inside it.
> Unfortunately, I have no guess as how to reproduce it.

ok, third time today - I think it is enough, will try to close and restart my Linux box.
May it depend on the presence of certain "reserved" spots in the LO file, which usually cannot be touched on (a signal pops us, stating this)?
I'm sorry I cannot write it down, as my version is Italian...
Comment 32 Alex 2013-11-17 11:58:33 EST
(In reply to Alex from comment #31)

> ok, third time today - I think it is enough, will try to close and restart
> my Linux box.
> May it depend on the presence of certain "reserved" spots in the LO file,
> which usually cannot be touched on (a signal pops us, stating this)?
> I'm sorry I cannot write it down, as my version is Italian...

it seems it has nothing to do with the overall setup: as a matter of fact, I closed everything, launched Apper to update the system and rebooted when it was over.
Now I have opened the same ODT file (now Dolphin is only running) and I crashed at the same point where it did last time - I cut some 20 lines to paste them in another paragraph in the same file.
So the problem is in Libre Office, I'm afraid...
Comment 33 Michal Nowak 2013-11-17 12:44:39 EST
Alex: Consider reading this bug from comment #18 on. We have a reproducer (feel free to try it), thought no one is able to debug the problem.
Comment 34 Valerio De Angelis 2013-11-19 16:46:38 EST
I tried to reproduce the bug with the comment 18's attachment but it doesn't appear on my system.

LibreOffice 4.1.3.2-4.fc20
Linux 3.11.8-300.fc20.x86_64
4.11.3
4 GB RAM
Comment 35 Alex 2013-11-21 13:00:41 EST
(In reply to Michal Nowak from comment #33)
> Alex: Consider reading this bug from comment #18 on. We have a reproducer
> (feel free to try it), thought no one is able to debug the problem.

what David Gilmore writes in comment # 29 suits my own experienc: I was working hard on a file, editing it thoroughly and cutting-pasting and all that.
I also had Dolphin and Firefox running, but my impression is that the problem lies with something inside LibreOffice.

BTW, I have tinkered with the attachment in comment # 18 but when I try to past "Singer’s Utilitarianism" onto the following title, nothing happens - sorry :-(

At present I am using LO  4.1.3.2-4.fc19, that is, customized for Fedora 19, Kernel is 3.11.8-200.fc19.x86_64
Comment 36 Michal Nowak 2013-11-21 16:51:19 EST
Alex: Is your LO official Fedora package?

I still can crash LO with my reproducer, even with clean LO profile however, it won't crash if LO is started off from Tor Browser Bundle (that is go to the reproducer with TBB, open it in LO Writer from TBB and try the test case -- it won't crash). The difference here is that TBB sets $HOME to it's $PWD so equivalent of /home/$USER/.config is empty.

Milan, can you reproduce with new user account?
Comment 37 Alex 2013-11-21 19:38:12 EST
(In reply to Michal Nowak from comment #36)
> Alex: Is your LO official Fedora package?

sure it is! BTW, I have no non-standard Fedora repos...

> I still can crash LO with my reproducer, even with clean LO profile however,
> it won't crash if LO is started off from Tor Browser Bundle (that is go to
> the reproducer with TBB, open it in LO Writer from TBB and try the test case
> -- it won't crash). The difference here is that TBB sets $HOME to it's $PWD
> so equivalent of /home/$USER/.config is empty.
> 
> Milan, can you reproduce with new user account?

however, since comment # 18 my Linuxbox underwent at least an extensive update
Comment 38 Olivier Crête 2013-11-28 13:17:04 EST
On F20, I can't reproduce with the document from comment #18 on F20 but I saw this crash with another document.
Comment 39 Milan Bouchet-Valat 2013-11-30 15:08:33 EST
I'm no longer able to reproduce to crash with 4.1.3.2 on F19 using instructions from comment 18. Just an idea: the crash might only happen when LO is slowed by lack of free RAM. Every time I got the crash, I was working with R with large datasets and I was low on free RAM. That may explain why it's hard to reproduce. (I've try running LO in Valgrind and it does not help...)
Comment 40 Michal Nowak 2013-11-30 17:08:57 EST
I still get the crash with libreoffice-4.1.3.2-5.fc19.x86_64. Having some 4 GB of RAM available (plus 7 GB of swap).
Comment 41 Valerio De Angelis 2013-12-17 18:12:12 EST
Build ID: 4.1.3.2-10.fc20.x86_64
4 GB of ram.
The problem is still here.
Comment 42 markusN 2014-01-03 12:08:19 EST
Another user experienced a similar problem:

I edited an existing ODT document with Edit/Changes/Record switched on. LibreOffice suddenly crashed.

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin Env_drivers_of_WNV_8.odt --splash-pipe=5
crash_function: Window::GetWindow
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.12.5-200.fc19.x86_64
package:        libreoffice-core-4.1.4.2-2.fc19
reason:         soffice.bin killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1338
Comment 43 Wouter 2014-01-13 04:27:49 EST
Another user experienced a similar problem:

LO Writer collapsed after I pressed the UNDO button - in the ribbon - several times.

reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///run/media/wh/Buffalo1Tb/OFFSHORE/Hoofdstukken/PART_2/H4/H4draft-def_V1.odt --splash-pipe=5
crash_function: Window::GetWindow
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.12.6-300.fc20.x86_64
package:        libreoffice-core-4.1.4.2-2.fc20
reason:         soffice.bin killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 44 Alex 2014-02-01 07:50:46 EST
Another user experienced a similar problem:

I left my PC suspended in RAM overnight (as I usually do), with two programs open: Firefox and Dolphin (I use Kde 4). When I awoke the machine, I opened Libre Office and started working on a ODT file which had already been created days before. I pressed a combination of keys which unexpectedly shut LO, without saving the ODT file. Unfortunately, I cannot say which were those keys. That's all

reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --nologo --nodefault --nolockcheck --accept=pipe,name=-276805888;urp;
crash_function: Window::GetWindow
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.12.8-300.fc20.x86_64
package:        libreoffice-core-4.1.4.2-5.fc20
reason:         soffice.bin killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 45 Valerio De Angelis 2014-02-06 18:38:20 EST
Good news (or Bad news?):
the new version 4.2 not only reproduce the bug but now it happens every time.
I just open my big ODT file, go in menù -> tools and LO crash instant.
Reproducible always.

The problem is that I'm not authorized to attach here that file, is cover by copyright, unfortunately.

I'm trying to make a similar file, in similar dimension, using a similar package of features (comments, several style, footnote, etc.) but that I'm able to attach here. I had no luck so far, the file do not crash LO yet. 

Ah, as a side note, the file that reproduce the bug come from the 1st LO release and then it is passed through all the versions released so far. Instead the new file is a child of LO 4.2 only. Just in case that can make any difference.

Alternatively I can try to debug my LO, but I'm not an expert on this kind of task, sorry.
I will try after reading in the internet how to proceed.
Comment 46 Milan Bouchet-Valat 2014-02-07 03:51:33 EST
Interesting. Are you able to reproduce the problem using the file from Comment 18?
Comment 47 Valerio De Angelis 2014-02-07 04:03:13 EST
(In reply to Milan Bouchet-Valat from comment #46)
> Interesting. Are you able to reproduce the problem using the file from
> Comment 18?
I tested it right now. The undo works perfectly and LO doesn't crash.
It is something really insidious because with a previous version of my file (800 pages, comments, notes etc.) there is no problem. I have no idea what could be, really.
Comment 48 Caolan McNamara 2014-02-28 12:04:06 EST
found it eventually, nearly killed me :-)
Comment 49 Michal Nowak 2014-02-28 12:36:27 EST
Thanks!

What about LibreOffice 4.2 from Fedora 20? I somehow reproduced the crash (see https://retrace.fedoraproject.org/faf/reports/369731/), thought it seems the reproducer is not 100% reliable on 4.2.
Comment 50 Caolan McNamara 2014-02-28 14:41:10 EST
4.2 is affected by this problem as well and I'll have an update for that when it finished building
Comment 51 Milan Bouchet-Valat 2014-02-28 17:25:19 EST
Congrats! So now do you understand why it was so hard to reproduce? :-)
Comment 52 Valerio De Angelis 2014-02-28 17:33:44 EST
What was the problem? I'm very curious considering how hard to reproduce it was.
Comment 53 Caolan McNamara 2014-03-04 08:48:55 EST
*** Bug 1071597 has been marked as a duplicate of this bug. ***
Comment 54 Fedora Update System 2014-03-05 04:22:23 EST
libreoffice-4.1.5.3-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreoffice-4.1.5.3-4.fc19
Comment 55 Fedora Update System 2014-03-06 03:12:55 EST
Package libreoffice-4.1.5.3-4.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.1.5.3-4.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3458/libreoffice-4.1.5.3-4.fc19
then log in and leave karma (feedback).
Comment 56 Valerio De Angelis 2014-05-08 15:19:09 EDT
Just to confirm that, to me, this bug is fixed.
I have no more that problem in Build ID: 4.2.3.3-9.fc20 with the same file that continuously crashed before.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.